# Generated by Django 3.1.7 on 2022-10-22 01:10

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='fedi_user',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('age', models.IntegerField(default=0)),
                ('attract', models.CharField(blank=True, max_length=50, null=True)),
                ('avatar', models.CharField(max_length=300)),
                ('bio', models.CharField(blank=True, max_length=2000, null=True)),
                ('email', models.EmailField(max_length=150, unique=True)),
                ('header', models.CharField(max_length=300)),
                ('height_ft', models.IntegerField(default=0)),
                ('height_in', models.IntegerField(default=0)),
                ('interests', models.CharField(blank=True, max_length=100, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('is_admin', models.BooleanField(default=False)),
                ('is_staff', models.BooleanField(default=False)),
                ('is_superuser', models.BooleanField(default=False)),
                ('join_fedi', models.DateTimeField()),
                ('join_match', models.DateTimeField(auto_now_add=True)),
                ('last_login', models.DateTimeField(auto_now=True)),
                ('lang_known', models.CharField(blank=True, max_length=100, null=True)),
                ('lang_learn', models.CharField(blank=True, max_length=100, null=True)),
                ('location', models.CharField(blank=True, max_length=50, null=True)),
                ('loc_lat', models.DecimalField(decimal_places=12, default=0.0, max_digits=14)),
                ('loc_lon', models.DecimalField(decimal_places=12, default=0.0, max_digits=15)),
                ('mbti', models.CharField(blank=True, max_length=4, null=True)),
                ('occupation', models.CharField(blank=True, max_length=50, null=True)),
                ('orient', models.IntegerField(choices=[(0, 'Nth'), (1, 'Het'), (2, 'Hom'), (3, 'Oth')], default=0)),
                ('photos', models.CharField(blank=True, max_length=2000, null=True)),
                ('pol_soc', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('pol_eco', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('quiz', models.CharField(blank=True, max_length=2000, null=True)),
                ('race', models.CharField(blank=True, max_length=50, null=True)),
                ('reli', models.CharField(blank=True, max_length=50, null=True)),
                ('rel_stat', models.IntegerField(choices=[(0, 'Nth'), (1, 'Sng'), (2, 'Inr'), (3, 'Mar'), (4, 'Div'), (5, 'Wtm')], default=0)),
                ('report', models.CharField(blank=True, max_length=100, null=True)),
                ('seek', models.IntegerField(choices=[(0, 'Bth'), (1, 'Soc'), (2, 'Rom')], default=0)),
                ('sex', models.IntegerField(choices=[(0, 'Noth'), (1, 'Male'), (2, 'Fema'), (3, 'Trnm'), (4, 'Trnf'), (5, 'Enby')], default=0)),
                ('uhand', models.CharField(max_length=75)),
                ('uhost', models.CharField(max_length=75)),
                ('username', models.CharField(max_length=75)),
                ('url_loc', models.CharField(max_length=100, unique=True)),
                ('url_src', models.CharField(max_length=150, unique=True)),
                ('weight', models.IntegerField(default=0)),
                ('xyz', models.CharField(blank=True, max_length=150, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
